com.google.appengine.api.images

## Class ServingUrlOptions

- java.lang.Object
- - com.google.appengine.api.images.ServingUrlOptions

-     public final class ServingUrlOptions
      extends java.lang.Object

  Allow users to customize the behavior of creating a image serving URL using the `ImagesService`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServingUrlOptions.Builder` Contains static creation methods for `ServingUrlOptions`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServingUrlOptions` | `blobKey(BlobKey blobKey)`
    `ServingUrlOptions` | `crop(boolean crop)`
    `boolean` | `equals(java.lang.Object object)`
    `ServingUrlOptions` | `googleStorageFileName(java.lang.String fileName)`
    `int` | `hashCode()`
    `ServingUrlOptions` | `imageSize(int imageSize)`
    `ServingUrlOptions` | `secureUrl(boolean secureUrl)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### blobKey

          public ServingUrlOptions blobKey(BlobKey blobKey)

    - #### googleStorageFileName

          public ServingUrlOptions googleStorageFileName(java.lang.String fileName)

    - #### secureUrl

          public ServingUrlOptions secureUrl(boolean secureUrl)

    - #### crop

          public ServingUrlOptions crop(boolean crop)

    - #### imageSize

          public ServingUrlOptions imageSize(int imageSize)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`